using System;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;

public class Convertir {
	public static void Main() {
		double[] fila = new double [61];
		int i = 0;
		Regex r = new Regex(@"\s*([^\s]*)\s*");

		StreamReader file = File.OpenText("altura.txt");
		StreamWriter fileOut = new StreamWriter(new FileStream("test.txt", FileMode.OpenOrCreate, FileAccess.Write));
		
		string line = file.ReadLine();

		while (line != null) {
			line = line.Replace(".", ",");
			MatchCollection mc = r.Matches(line);
			if( mc.Count > 0) {
				i = 0;
				foreach(Match m in mc) {
					string elemS = m.Result("$0");
					if (elemS.Length > 1) {
						//Console.Write(m.Result("$0") + " - ");
						double elem = Convert.ToDouble(m.Result("$0"));
						//Console.WriteLine(elem);

						fila[i] = elem;
						i++;
					}
			    }
			}
			
			for (int j = 0; j<61 ; j++) {
				fileOut.Write(" " + fila[j]);
			}
			for (int j = 60; j >= 0; j--) {
				fileOut.Write(" " + fila[j]);
			}
			fileOut.WriteLine();
			
			line = file.ReadLine();
		}

		file.Close();
		fileOut.Close();
	}
}
